<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md) &gt; [getContractTypes](./bitburner.codingcontract.getcontracttypes.md)

## CodingContract.getContractTypes() method

List all contract types.

**Signature:**

```typescript
getContractTypes(): CodingContractName[];
```
**Returns:**

[CodingContractName](./bitburner.codingcontractname.md)<!-- -->\[\]

## Remarks

RAM cost: 0 GB

